Summary:	MyPaint is a fast and easy open-source graphics application for digital painters
Summary(pl.UTF-8):	Szybka i łatwa w obsłudze aplikacja dla komputerowych malarzy
Name:		mypaint
Version:	2.0.1
Release:	5
License:	GPL v2+
Group:		X11/Applications/Graphics
#Source0Download: https://github.com/mypaint/mypaint/releases
Source0:	https://github.com/mypaint/mypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	dc9abd2e9da8477cbad55905ed07a46a
URL:		http://mypaint.org/
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk+3-devel >= 3.12
BuildRequires:	json-c-devel >= 0.11
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libgomp-devel
BuildRequires:	libmypaint-devel >= 1.6
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	mypaint-brushes-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-pygobject3-devel >= 3.0
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.32
BuildRequires:	sed >= 4.0
BuildRequires:	swig-python >= 3
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	desktop-file-utils
Requires:	gtk+3 >= 3.12
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	libmypaint >= 1.6
Requires:	mypaint-brushes >= 2.0
Requires:	pydoc3
Requires:	python3-numpy
Requires:	python3-pycairo >= 1.4
Requires:	python3-pygobject3 >= 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MyPaint is a fast and easy open-source graphics application for
digital painters. It lets you focus on the art instead of the program.
You work on your canvas with minimum distractions, bringing up the
interface only when you need it.

%description -l pl.UTF-8
MyPaint jest szybką i łatwą w obsłudze aplikacją dla malarzy.
Aplikacja pozwala skupić się na własnym dziele poprzez wygodną funkcję
ukrywania interfejsu użytkownika.

%prep
%setup -q

%{__sed} -i -e 's/^\(linkflags\|ccflags\).*-O3.*/pass/' setup.py

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

# see mypaint script /libpath_combined
# mypaint imports modules by lib.foo, so it cannot be _libdir
%py3_install \
	--install-platlib=%{_prefix}/lib/mypaint \
	--install-purelib=%{_prefix}/lib/lib/mypaint

# duplicate of scalable?
%{__rm} $RPM_BUILD_ROOT%{_iconsdir}/hicolor/24x24/actions/*.svg

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{nn_NO,nn}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog.md Licenses.dep5 Licenses.md README.md doc/*
%attr(755,root,root) %{_bindir}/mypaint
%attr(755,root,root) %{_bindir}/mypaint-ora-thumbnailer
%dir %{_prefix}/lib/mypaint
%{_prefix}/lib/mypaint/gui
%dir %{_prefix}/lib/mypaint/lib
%attr(755,root,root) %{_prefix}/lib/mypaint/lib/_mypaintlib*.so
%{_prefix}/lib/mypaint/lib/__pycache__
%{_prefix}/lib/mypaint/lib/*.py
%{_prefix}/lib/mypaint/lib/layer
%{_prefix}/lib/mypaint/MyPaint-2.0.0a0-py*.egg-info
%{_datadir}/metainfo/mypaint.appdata.xml
%{_datadir}/mypaint
%{_datadir}/thumbnailers/mypaint-ora.thumbnailer
%{_desktopdir}/mypaint.desktop
%{_iconsdir}/hicolor/*x*/actions/mypaint-tool-*.png
%{_iconsdir}/hicolor/scalable/actions/mypaint-*.svg
%{_iconsdir}/hicolor/scalable/apps/org.mypaint.MyPaint.svg
%{_iconsdir}/hicolor/symbolic/apps/org.mypaint.MyPaint-symbolic.svg
%changelog
* Tue Sep 19 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mypaint.git;a=log;h=master

* Tue Sep 19 2023 Jan Rękorajski <baggins@pld-linux.org> 4b57b9f
- R pydoc3, rel 5

* Tue Sep 19 2023 Jan Rękorajski <baggins@pld-linux.org> cffe90e
- rel 4, restore prefix/lib due to imports stupidity

* Tue Sep 19 2023 Jan Rękorajski <baggins@pld-linux.org> aeda14a
- rel 3, fix deps

* Mon Sep 18 2023 Jan Rękorajski <baggins@pld-linux.org> 712d950
- rel 2, switch to python 3

* Sat Sep 26 2020 Jakub Bogusz <qboosh@pld-linux.org> b4a3684
- updated to 2.0.1

* Sat May 02 2020 Jakub Bogusz <qboosh@pld-linux.org> 4640f28
- release 2 (libmypaint 1.6.0)

* Tue Mar 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 27faf09
- updated to 2.0.0
- removed outdated no-env patch

* Tue Jun 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 40b4eed
- cyrillic is default sr[_RS] script now

* Sun Jun 16 2019 Jan Rękorajski <baggins@pld-linux.org> c3f09c5
- fix files
- rel 2

* Sat Jun 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 49945c6
- updated to 1.2.1
- removed obsolete json-c-0.12 patch
- added no-env patch (don't hide python behind /usr/bin/env)

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> 129f149
- release 5 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f715b9e
- updated gettext BR

* Mon Nov 24 2014 Jan Rękorajski <baggins@pld-linux.org> 62b09b0
- fix building with json-c 0.12+
- rel 4

* Mon Nov 24 2014 Jan Rękorajski <baggins@pld-linux.org> a9518ce
- rel 3

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e97673e
- release 2 (by relup.sh)

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> dbabdb9
- lib64 fix, force our cflags/cxxflags

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> 95a78a3
- cleanup devel files which are not packaged

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> c29e50d
- revert overwrites from def98e1

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> def98e1
- BR update

* Thu Sep 26 2013 Elan Ruusamäe <glen@delfi.ee> d8f0da1
- add desktop scriptlets; drop bogus ldconfig; add md5

